%define debug_package %{nil}
Summary: Index and search a directory tree of files by time
Name: timefind
Version: 1.0.2.4
Release: 1%{?dist}
License: GPLv2
Group: Development/Tools
URL: https://ant.isi.edu/software/timefind/
Source0: https://ant.isi.edu/software/timefind/timefind-%{version}.tar.gz
BuildRequires: golang
BuildRequires: perl
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(DateTime)


%description
Timefind is software to handle indexing and selection of multiple network data types based on a given time range.

%prep
%setup -q -n timefind-%{version}

%build

%install
make check-version
make install_programs DESTDIR=$RPM_BUILD_ROOT 
make install_READMEs install_LICENSE DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}
# fix up g+s getting set on directories, and executables being 0555
# (*I* think those are ok, but not rpmlint.)
find $RPM_BUILD_ROOT -type d -exec chmod g-s {} ';'
# find $RPM_BUILD_ROOT -executable -exec chmod 0755 {} ';'
%{_fixperms} %{buildroot}/*

%check
# sigh, nothing yet

%files
%doc %{_defaultdocdir}/LICENSE
%doc %{_defaultdocdir}/COPYRIGHT
%doc %{_defaultdocdir}/README.timefind
%doc %{_defaultdocdir}/README.timefind_indexer
%{_bindir}/*



%changelog
* Thu Apr 15 2016 John Heidemann <johnh@isi.edu> 1.0-1
- See https://ant.isi.edu/software/timefind/
